Actualizar carpetas
curl --request POST \
--url https://api.hubapi.com/cms/pages/2026-03/landing-pages/folders/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"inputs": [
{}
]
}
'import requests
url = "https://api.hubapi.com/cms/pages/2026-03/landing-pages/folders/batch/update"
payload = { "inputs": [{}] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({inputs: [{}]})
};
fetch('https://api.hubapi.com/cms/pages/2026-03/landing-pages/folders/batch/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"category": 123,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"parentFolderId": 123,
"updated": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"category": 123,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"parentFolderId": 123,
"updated": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Carpetas
POST /cms/pages/2026-03/landing-pages/folders/batch/update
Actualiza un lote de carpetas de landing pages como se especifica en el cuerpo de la solicitud.
POST
/
cms
/
pages
/
2026-03
/
landing-pages
/
folders
/
batch
/
update
Actualizar carpetas
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de consulta
Si se devolverán solo los resultados que se han archivado.
Cuerpo
*/*
Nodos JSON que se introducirán.
Respuesta
successful operation
Hora de finalización de la operación por lotes.
Resultados de la operación por lotes.
Show child attributes
Show child attributes
Hora de inicio de la operación por lotes.
Estado de la operación por lotes.
Opciones disponibles:
CANCELED, COMPLETE, PENDING, PROCESSING Enlaces asociados a la operación por lotes.
Show child attributes
Show child attributes
Hora de la solicitud de la operación por lotes.
Última modificación el 3 de abril de 2026
⌘I